<%#-- copyright
OpenProject is an open source project management software.
Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% cache(CustomStyle.current) do %>
  <style type="text/css">
    <%
    logo_url = asset_path("logo_nepenthes_white_big.png")
    high_contrast_logo_url = asset_path("logo_nepenthes.png")
    high_contrast_bim_logo_url = asset_path("bim/logo_openproject_bim_big_coloured.png")

    if apply_custom_styles?
      if CustomStyle.current.logo.present?
        logo_url = custom_style_logo_path(digest: CustomStyle.current.digest, filename: CustomStyle.current.logo_identifier)
      elsif CustomStyle.current.theme_logo.present?
        logo_url = asset_path(CustomStyle.current.theme_logo)
      end
    end
    %>

    .op-logo--link {
      background-image: url(<%= logo_url %>);
    }

    .op-logo--link_high_contrast {
      background-image: url(<%= OpenProject::Configuration.bim? ? high_contrast_bim_logo_url : high_contrast_logo_url %>);
    }
  </style>
<% end %>
